LINUX.ORG.RU

Обновил убунту, сломались какие-то темы.

 , , ,


0

1

Обычно я ставлю убунту LTS начисто, а в этот раз поленился, решил обновиться. Обновился, вылезло несколько косяков, починил почти все, но с одним не могу разобраться.

Вот как выглядит libreoffice: https://i.postimg.cc/dVFdH1rf/2018-12-19-004535-3200x1080-scrot.png Мало того, что менюхи сжались, так ещё и не подсвечивается активный пункт. Кроме того, кнопки в диалогах стали плоскими, совершенно без границ. Чекбоксы тоже не видны, пока не ткнёшь в них. В общем, беда.

Также пострадали firefox, thunderbird, cheese, eclipse (mars), и ещё какие-то программы. Я так понимаю, сломалась какая-то общая часть тем, которая не переключается при смене тем GTK-2 и GTK-3 (я включал разные темы, не помогает).

На форумах нашёл сообщение одного буржуазного товарища, тот жаловался, что в убунте 18.04 поломали все старые темы GTK-2. Я поискал у себя новые темы (которые, как я думал, должны были появиться после обновления), но не нашёл ни одной. Видимо, при обновлении они не ставятся.

В общем, я решил попросить помощи здесь, вдруг кто-то сталкивался с таким, или просто знает, где копать.


Это сломались, но не GTK2, а GTK3 темы. Тебе следует или выбрать тему, которая не сломана (можешь создать свою через oomox-gui), или перевести LibreOffice на GTK2. Последнее делается командой

sudo apt install libreoffice-gtk2 && sudo apt remove libreoffice-gtk3

Vsevolod-linuxoid ★★★★★ ()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 1)
Ответ на: комментарий от Vsevolod-linuxoid

Спасибо, похоже на правду. Не подскажете, какой пакет поставить, чтобы у меня появились темы, поставляемые в составе ubuntu 18.04? Потому что те, что есть у меня, я все перепробовал - не работают.

Beewek ()
Ответ на: комментарий от Vsevolod-linuxoid

Ура, заработало! Я поискал темы:

apt search "gtk-theme"
, установил три первые попавшиеся:
sudo apt install albatross-gtk-theme blackbird-gtk-theme breeze-gtk-theme
, выбрал одну из них, и, о чудо - всё починилось:) Благодарю за помощь!

Beewek ()

В GTK+3 два раза поломали совместимость тем. Есть темы отдельно для раннего GTK+3, для GTK+3.18 и для GTK+3.20 (и выше) — они все несовместимы. Визуальные симптомы в точности соответствуют. Если будете искать сторонние темы — ищите сразу с поддержкой GTK+3.20, старые не пойдут.

Moondancer ()